﻿using System;
using System.ServiceModel;

namespace Services.WCF.Hosting
{
    public delegate void StopHosting(String Name);
    public delegate void ResumeHosting(String Name);
    public delegate void RecycleHosting(String Name);
    public delegate HostControllerEntry[] EnumServices();

    [ServiceContract()]
    public interface IHostController
    {
        [OperationContract]
        void Start(string Name);

        [OperationContract]
        void Stop(string Name);

        [OperationContract]
        void ReStart(string Name);

        [OperationContract]
        HostControllerEntry[] EnumerateServices();
    }
}
